aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfce4-dev-tools/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfce4-dev-tools/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfce4-dev-tools/APKBUILD')
-rw-r--r--main/xfce4-dev-tools/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/xfce4-dev-tools/APKBUILD b/main/xfce4-dev-tools/APKBUILD
new file mode 100644
index 0000000000..80ca610d75
--- /dev/null
+++ b/main/xfce4-dev-tools/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-dev-tools
+pkgver=4.6.0
+pkgrel=2
+pkgdesc="Xfce developer tools"
+url="http://www.xfce.org/"
+license="GPL2"
+depends="automake autoconf make intltool pkgconfig gtk-doc"
+makedepends=
+source="http://mocha.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ # bug in autoconf install which not explicit set -m755
+ chmod 755 "$pkgdir"/usr/bin/*
+}
+
+md5sums="c9587fa78e877eee858a33391d0afd62 xfce4-dev-tools-4.6.0.tar.bz2"